org.openstreetmap.josm.plugins.streetside

## Class StreetsideSequence

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.StreetsideSequence

-     public class StreetsideSequence
      extends java.lang.Object

  Class that stores a sequence of `StreetsideAbstractImage` objects.
  See Also:
    `StreetsideAbstractImage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cd` Epoch time when the sequence was created
    `private java.lang.String` | `id` Unique identifier.
    `private java.util.List<StreetsideAbstractImage>` | `images` The images in the sequence.
    `private double` | `la`
    `private double` | `lo`
    `private UserProfile` | `user`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsideSequence()` No argument constructor for StreetsideSequence - necessary for JSON serialization
    `StreetsideSequence(java.lang.String id)`
    `StreetsideSequence(java.lang.String id, double la, double lo)`
    `StreetsideSequence(java.lang.String id, double la, double lo, long ca)`
    `StreetsideSequence(java.lang.String id, java.lang.Long ca)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.util.Collection<? extends StreetsideAbstractImage> images)` Adds a set of `StreetsideAbstractImage` objects to the database.
    `void` | `add(StreetsideAbstractImage image)` Adds a new `StreetsideAbstractImage` object to the database.
    `long` | `getCd()` Returns the Epoch time when the sequence was captured.
    `java.lang.String` | `getId()` Returns the unique identifier of the sequence.
    `java.util.List<StreetsideAbstractImage>` | `getImages()` Returns all `StreetsideAbstractImage` objects contained by this object.
    `double` | `getLa()`
    `double` | `getLo()`
    `UserProfile` | `getUser()`
    `StreetsideAbstractImage` | `next(StreetsideAbstractImage image)` Returns the next `StreetsideAbstractImage` in the sequence of a given `StreetsideAbstractImage` object.
    `StreetsideAbstractImage` | `previous(StreetsideAbstractImage image)` Returns the previous `StreetsideAbstractImage` in the sequence of a given `StreetsideAbstractImage` object.
    `void` | `remove(StreetsideAbstractImage image)` Removes a `StreetsideAbstractImage` object from the database.
    `void` | `setId(java.lang.String id)`
    `void` | `setLa(double la)`
    `void` | `setLo(double lo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          private java.lang.String id

      Unique identifier. Used only for `StreetsideImage` sequences.

    - #### user

          private UserProfile user

    - #### la

          private double la

    - #### lo

          private double lo

    - #### cd

          private long cd

      Epoch time when the sequence was created

    - #### images

          private java.util.List<StreetsideAbstractImage> images

      The images in the sequence.

  - ### Constructor Detail

    - #### StreetsideSequence

          public StreetsideSequence(java.lang.String id,
                                    java.lang.Long ca)

    - #### StreetsideSequence

          public StreetsideSequence(java.lang.String id,
                                    double la,
                                    double lo)

    - #### StreetsideSequence

          public StreetsideSequence()

      No argument constructor for StreetsideSequence - necessary for JSON serialization

    - #### StreetsideSequence

          public StreetsideSequence(java.lang.String id,
                                    double la,
                                    double lo,
                                    long ca)

    - #### StreetsideSequence

          public StreetsideSequence(java.lang.String id)

  - ### Method Detail

    - #### add

          public void add(StreetsideAbstractImage image)

      Adds a new `StreetsideAbstractImage` object to the database.
      Parameters:
        `image` - The `StreetsideAbstractImage` object to be added

    - #### add

          public void add(java.util.Collection<? extends StreetsideAbstractImage> images)

      Adds a set of `StreetsideAbstractImage` objects to the database.
      Parameters:
        `images` - The set of `StreetsideAbstractImage` objects to be added.

    - #### next

          public StreetsideAbstractImage next(StreetsideAbstractImage image)

      Returns the next `StreetsideAbstractImage` in the sequence of a given `StreetsideAbstractImage` object.
      Parameters:
        `image` - The `StreetsideAbstractImage` object whose next image is going to be returned.
      Returns:
        The next `StreetsideAbstractImage` object in the sequence.
      Throws:
        `java.lang.IllegalArgumentException` - if the given `StreetsideAbstractImage` object doesn't belong the this sequence.

    - #### previous

          public StreetsideAbstractImage previous(StreetsideAbstractImage image)

      Returns the previous `StreetsideAbstractImage` in the sequence of a given `StreetsideAbstractImage` object.
      Parameters:
        `image` - The `StreetsideAbstractImage` object whose previous image is going to be returned.
      Returns:
        The previous `StreetsideAbstractImage` object in the sequence.
      Throws:
        `java.lang.IllegalArgumentException` - if the given `StreetsideAbstractImage` object doesn't belong the this sequence.

    - #### remove

          public void remove(StreetsideAbstractImage image)

      Removes a `StreetsideAbstractImage` object from the database.
      Parameters:
        `image` - The `StreetsideAbstractImage` object to be removed.

    - #### setId

          public void setId(java.lang.String id)

      Parameters:
        `id` - the id to set

    - #### getLa

          public double getLa()

      Returns:
        the la

    - #### setLa

          public void setLa(double la)

      Parameters:
        `la` - the la to set

    - #### getLo

          public double getLo()

      Returns:
        the lo

    - #### setLo

          public void setLo(double lo)

      Parameters:
        `lo` - the lo to set

    - #### getCd

          public long getCd()

      Returns the Epoch time when the sequence was captured. Negative values mean, no value is set.
      Returns:
        A long containing the Epoch time when the sequence was captured.

    - #### getImages

          public java.util.List<StreetsideAbstractImage> getImages()

      Returns all `StreetsideAbstractImage` objects contained by this object.
      Returns:
        A `List` object containing all the `StreetsideAbstractImage` objects that are part of the sequence.

    - #### getId

          public java.lang.String getId()

      Returns the unique identifier of the sequence.
      Returns:
        A `String` containing the unique identifier of the sequence. null means that the sequence has been created locally for imported images.

    - #### getUser

          public UserProfile getUser()

JOSM Plugins